{
  "schema_version": "1.4.0",
  "id": "GHSA-j23w-r722-rm78",
  "modified": "2022-05-02T03:15:05Z",
  "published": "2022-05-02T03:15:05Z",
  "aliases": [
    "CVE-2009-0388"
  ],
  "details": "Multiple integer signedness errors in (1) UltraVNC 1.0.2 and 1.0.5 and (2) TightVnc 1.3.9 allow remote VNC servers to cause a denial of service (heap corruption and application crash) or possibly execute arbitrary code via a large length value in a message, related to the (a) ClientConnection::CheckBufferSize and (b) ClientConnection::CheckFileZipBufferSize functions in ClientConnection.cpp.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2009-0388"
    },
    {
      "type": "WEB",
      "url": "https://www.exploit-db.com/exploits/7990"
    },
    {
      "type": "WEB",
      "url": "https://www.exploit-db.com/exploits/8024"
    },
    {
      "type": "WEB",
      "url": "http://forum.ultravnc.info/viewtopic.php?t=14654"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/33807"
    },
    {
      "type": "WEB",
      "url": "http://vnc-tight.svn.sourceforge.net/viewvc/vnc-tight?view=rev&revision=3564"
    },
    {
      "type": "WEB",
      "url": "http://www.coresecurity.com/content/vnc-integer-overflows"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/500632/100/0/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/33568"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2009/0321"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2009/0322"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2009-02-04T19:30:00Z"
  }
}